Pereiti prie turinio

Task template assignees

Members that tasks from a task template are assigned to

The task template assignee object

Attributes

iduuid
member_iduuid
members.id

Identifier of the assigned member

task_template_iduuid
task_templates.id

Identifier of the related task template

created_atread-onlytimestamp with time zone

Creation timestamp

Related resources

Embed related resources in the response with the select parameter, for example select=*,members(*). Resources related through more than one column need the column as a hint, like table!column(*).

members(*)object | null
members

The member referenced by member_id.

task_templates(*)object | null
task_templates

The task template referenced by task_template_id.

The task template assignee object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "member_id": "00000000-0000-0000-0000-000000000000",
  "task_template_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:26:24.060Z"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/task_template_assignees?limit=10&select=*,members(*),task_templates(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List task template assignees

Filters

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_template_idFilter<uuid>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

A list of task template assignees with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /task_template_assignees
curl -X GET "https://api.bookingmood.com/v1/task_template_assignees?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z"
  }
]

Create task template assignees

Body

Partial<TaskTemplateAssignee> | Array<Partial<TaskTemplateAssignee>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created task template assignees with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /task_template_assignees
curl -X POST "https://api.bookingmood.com/v1/task_template_assignees" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z"
  }
]

Delete task template assignees

Filters

Without filters, this request deletes all task template assignees you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_template_idFilter<uuid>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

Responses

200

The deleted task template assignees with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /task_template_assignees
curl -X DELETE "https://api.bookingmood.com/v1/task_template_assignees?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z"
  }
]

Update task template assignees

Filters

Without filters, this request updates all task template assignees you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>
member_idFilter<uuid>
members.id

Identifier of the assigned member

task_template_idFilter<uuid>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

Body

Partial<TaskTemplateAssignee>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated task template assignees with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /task_template_assignees
curl -X PATCH "https://api.bookingmood.com/v1/task_template_assignees?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "member_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z"
  }
]

Imkitės kontroliuoti savo užsakymus. Sukurkite savo verslą.

Prisijunkite prie 1200+ nepriklausomų atostogų būstų nuomos įmonių, kurios naudoja „Bookingmood“, siekdamos padidinti tiesioginių užsakymų skaičių ir užmegzti tvirtesnius santykius su svečiais.

Pradėkite nemokamą 14dienos bandomąją versiją